package projectabarrotes.Mapeos;
// Generated 27/10/2014 08:16:01 AM by Hibernate Tools 4.3.1



/**
 * Inventario generated by hbm2java
 */
public class Inventario  implements java.io.Serializable {


     private Integer idInventario;
     private Estado estado;
     private Pedido pedido;
     private Producto producto;
     private String fechaInv;
     private Integer entradap;
     private Integer salidap;
     private Integer saldop;
     private Float entradac;
     private Float salidac;
     private Float saldoc;
     private Float costop;
     private Float precio;
     private int idProducto;
     private int idPedido;

    public Inventario() {
    }

	
    public Inventario(Estado estado, Pedido pedido, Producto producto, int idProducto, int idPedido) {
        this.estado = estado;
        this.pedido = pedido;
        this.producto = producto;
        this.idProducto = idProducto;
        this.idPedido = idPedido;
    }
    public Inventario(Estado estado, Pedido pedido, Producto producto, String fechaInv, Integer entradap, Integer salidap, Integer saldop, Float entradac, Float salidac, Float saldoc, Float costop, Float precio, int idProducto, int idPedido) {
       this.estado = estado;
       this.pedido = pedido;
       this.producto = producto;
       this.fechaInv = fechaInv;
       this.entradap = entradap;
       this.salidap = salidap;
       this.saldop = saldop;
       this.entradac = entradac;
       this.salidac = salidac;
       this.saldoc = saldoc;
       this.costop = costop;
       this.precio = precio;
       this.idProducto = idProducto;
       this.idPedido = idPedido;
    }
   
    public Integer getIdInventario() {
        return this.idInventario;
    }
    
    public void setIdInventario(Integer idInventario) {
        this.idInventario = idInventario;
    }
    public Estado getEstado() {
        return this.estado;
    }
    
    public void setEstado(Estado estado) {
        this.estado = estado;
    }
    public Pedido getPedido() {
        return this.pedido;
    }
    
    public void setPedido(Pedido pedido) {
        this.pedido = pedido;
    }
    public Producto getProducto() {
        return this.producto;
    }
    
    public void setProducto(Producto producto) {
        this.producto = producto;
    }
    public String getFechaInv() {
        return this.fechaInv;
    }
    
    public void setFechaInv(String fechaInv) {
        this.fechaInv = fechaInv;
    }
    public Integer getEntradap() {
        return this.entradap;
    }
    
    public void setEntradap(Integer entradap) {
        this.entradap = entradap;
    }
    public Integer getSalidap() {
        return this.salidap;
    }
    
    public void setSalidap(Integer salidap) {
        this.salidap = salidap;
    }
    public Integer getSaldop() {
        return this.saldop;
    }
    
    public void setSaldop(Integer saldop) {
        this.saldop = saldop;
    }
    public Float getEntradac() {
        return this.entradac;
    }
    
    public void setEntradac(Float entradac) {
        this.entradac = entradac;
    }
    public Float getSalidac() {
        return this.salidac;
    }
    
    public void setSalidac(Float salidac) {
        this.salidac = salidac;
    }
    public Float getSaldoc() {
        return this.saldoc;
    }
    
    public void setSaldoc(Float saldoc) {
        this.saldoc = saldoc;
    }
    public Float getCostop() {
        return this.costop;
    }
    
    public void setCostop(Float costop) {
        this.costop = costop;
    }
    public Float getPrecio() {
        return this.precio;
    }
    
    public void setPrecio(Float precio) {
        this.precio = precio;
    }
    public int getIdProducto() {
        return this.idProducto;
    }
    
    public void setIdProducto(int idProducto) {
        this.idProducto = idProducto;
    }
    public int getIdPedido() {
        return this.idPedido;
    }
    
    public void setIdPedido(int idPedido) {
        this.idPedido = idPedido;
    }




}


